Skip to main content
POST
/
v1
/
limits
/
{limit_id}
/
deactivate
Deactivate a Limit
curl --request POST \
  --url https://tracer.lerian.io/v1/limits/{limit_id}/deactivate \
  --header 'Content-Type: <content-type>' \
  --header 'X-API-Key: <x-api-key>'
{
  "limitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "limitType": "DAILY",
  "maxAmount": 2,
  "currency": "<string>",
  "scopes": [
    {
      "segmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "portfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionType": "CARD",
      "subType": "<string>"
    }
  ],
  "status": "DRAFT",
  "resetAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Headers

Content-Type
string
required

The type of media of the resource. Must be application/json.

X-API-Key
string
required

The API Key for authentication. This header is required for all endpoints except health checks.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

limit_id
string<uuid>
required

The unique identifier of the limit that you want to retrieve, update or delete.

Response

Indicates that the limit was successfully deactivated.

Spending limit.

limitId
string<uuid>

Unique identifier for the limit.

name
string

Human-readable limit name.

Maximum string length: 255
description
string

Limit purpose and usage explanation.

Maximum string length: 1000
limitType
enum<string>

Type of limit (immutable after creation).

Available options:
DAILY,
MONTHLY,
PER_TRANSACTION
maxAmount
integer

Maximum amount in cents.

Required range: x >= 1
currency
string

ISO 4217 currency code (immutable after creation).

Required string length: 3
scopes
object[]

Scopes that determine which transactions this limit applies to.

status
enum<string>

Limit lifecycle status.

Available options:
DRAFT,
ACTIVE,
INACTIVE,
DELETED
resetAt
string<date-time> | null

When the limit counter resets (DAILY/MONTHLY only). Null for PER_TRANSACTION limits.

createdAt
string<date-time>

When the limit was created.

updatedAt
string<date-time>

When the limit was last modified.

deletedAt
string<date-time> | null

When the limit was deleted (null if not deleted).